

%%%%
%Omrde 2, lite kontorlandskap
%%%%


%%%%
%Oktavbnd
%%%%

x = [63 125 250 500 1000 2000 4000 8000];

%%%%
%Bakgrunnsty i retning_1
%%%%


%%%%
%Importerer fire akustiske mlinger av bakgrunnssty for hver mleposisjon i
%retning_1
%%%%

%Avstand r = 2,4m

SPL_2_b1_i = importdata('r_2_4_m_background_1.txt');
SPL_2_b1 = SPL_2_b1_i.data;

SPL_2_b2_i = importdata('r_2_4_m_background_2.txt');
SPL_2_b2 = SPL_2_b2_i.data;

SPL_2_b3_i = importdata('r_2_4_m_background_3.txt');
SPL_2_b3 = SPL_2_b3_i.data;

SPL_2_b4_i = importdata('r_2_4_m_background_4.txt');
SPL_2_b4 = SPL_2_b4_i.data;

SPL_2_b5_i = importdata('r_2_4_m_background_5.txt');
SPL_2_b5 = SPL_2_b5_i.data;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_2_b1_dB = SPL_2_b1(:,2);
SPL_2_b1_rms = 10.^( SPL_2_b1_dB/10);

SPL_2_b2_dB = SPL_2_b2(:,2);
SPL_2_b2_rms = 10.^(SPL_2_b2_dB/10);

SPL_2_b3_dB = SPL_2_b3(:,2);
SPL_2_b3_rms = 10.^(SPL_2_b3_dB/10);

SPL_2_b4_dB = SPL_2_b4(:,2);
SPL_2_b4_rms = 10.^(SPL_2_b4_dB/10);

SPL_2_b5_dB = SPL_2_b5(:,2);
SPL_2_b5_rms = 10.^(SPL_2_b5_dB/10);



%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_2_sumb = SPL_2_b1_rms + SPL_2_b2_rms + SPL_2_b3_rms + SPL_2_b4_rms + SPL_2_b5_rms;

SPL_2_averageb = SPL_2_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_2_dB = 10*log10(SPL_2_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_2_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_2_b(1,k) = SPL_2_dB(k,1);

end

%Avstand r = 3,5m

SPL_3_b1_i = importdata('r_3_5_m_background_1.txt');
SPL_3_b1 = SPL_3_b1_i.data;

SPL_3_b2_i = importdata('r_3_5_m_background_2.txt');
SPL_3_b2 = SPL_3_b2_i.data;

SPL_3_b3_i = importdata('r_3_5_m_background_3.txt');
SPL_3_b3 = SPL_3_b3_i.data;

SPL_3_b4_i = importdata('r_3_5_m_background_4.txt');
SPL_3_b4 = SPL_3_b4_i.data;

SPL_3_b5_i = importdata('r_3_5_m_background_5.txt');
SPL_3_b5 = SPL_3_b5_i.data;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_3_b1_dB = SPL_3_b1(:,2);
SPL_3_b1_rms = 10.^( SPL_3_b1_dB/10);

SPL_3_b2_dB = SPL_3_b2(:,2);
SPL_3_b2_rms = 10.^(SPL_3_b2_dB/10);

SPL_3_b3_dB = SPL_3_b3(:,2);
SPL_3_b3_rms = 10.^(SPL_3_b3_dB/10);

SPL_3_b4_dB = SPL_3_b4(:,2);
SPL_3_b4_rms = 10.^(SPL_3_b4_dB/10);

SPL_3_b5_dB = SPL_3_b5(:,2);
SPL_3_b5_rms = 10.^(SPL_3_b5_dB/10);


%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_3_sumb = SPL_3_b1_rms + SPL_3_b2_rms + SPL_3_b3_rms + SPL_3_b4_rms + SPL_3_b5_rms;

SPL_3_averageb = SPL_3_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_3_dB = 10*log10(SPL_3_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_3_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_3_b(1,k) = SPL_3_dB(k,1);

end

%Avstand r = 5,5m

SPL_5_b1_i = importdata('r_5_5_m_background_1.txt');
SPL_5_b1 = SPL_5_b1_i.data;

SPL_5_b2_i = importdata('r_5_5_m_background_2.txt');
SPL_5_b2 = SPL_5_b2_i.data;

SPL_5_b3_i = importdata('r_5_5_m_background_3.txt');
SPL_5_b3 = SPL_5_b3_i.data;

SPL_5_b4_i = importdata('r_5_5_m_background_4.txt');
SPL_5_b4 = SPL_5_b4_i.data;

SPL_5_b5_i = importdata('r_5_5_m_background_5.txt');
SPL_5_b5 = SPL_5_b5_i.data;


%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_5_b1_dB = SPL_5_b1(:,2);
SPL_5_b1_rms = 10.^( SPL_5_b1_dB/10);

SPL_5_b2_dB = SPL_5_b2(:,2);
SPL_5_b2_rms = 10.^(SPL_5_b2_dB/10);

SPL_5_b3_dB = SPL_5_b3(:,2);
SPL_5_b3_rms = 10.^(SPL_5_b3_dB/10);

SPL_5_b4_dB = SPL_5_b4(:,2);
SPL_5_b4_rms = 10.^(SPL_5_b4_dB/10);

SPL_5_b5_dB = SPL_5_b5(:,2);
SPL_5_b5_rms = 10.^(SPL_5_b5_dB/10);


%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_5_sumb = SPL_5_b1_rms + SPL_5_b2_rms + SPL_5_b3_rms + SPL_5_b4_rms + SPL_5_b5_rms;

SPL_5_averageb = SPL_5_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_5_dB = 10*log10(SPL_5_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_5_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_5_b(1,k) = SPL_5_dB(k,1);

end



%Avstand r = 7,2m
%Det har oppsttt en feil med de to frste stymlingene i denne posisjonen
%De ble dermed utelatt. Dette vil likevel ikke ha noen signifikant
%pvirkning p bakgrunnstynivet


SPL_7_b3_i = importdata('r_7_2_m_background_3.txt');
SPL_7_b3 = SPL_7_b3_i.data;

SPL_7_b4_i = importdata('r_7_2_m_background_4.txt');
SPL_7_b4 = SPL_7_b4_i.data;

SPL_7_b5_i = importdata('r_7_2_m_background_5.txt');
SPL_7_b5 = SPL_7_b5_i.data;


%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r


SPL_7_b3_dB = SPL_7_b3(:,2);
SPL_7_b3_rms = 10.^(SPL_7_b3_dB/10);

SPL_7_b4_dB = SPL_7_b4(:,2);
SPL_7_b4_rms = 10.^(SPL_7_b4_dB/10);

SPL_7_b5_dB = SPL_7_b5(:,2);
SPL_7_b5_rms = 10.^(SPL_7_b5_dB/10);


%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_7_sumb = SPL_7_b3_rms + SPL_7_b4_rms + SPL_7_b5_rms;

SPL_7_averageb = SPL_7_sumb/3;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_7_dB = 10*log10(SPL_7_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_7_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_7_b(1,k) = SPL_7_dB(k,1);

end




%Plotter gjennomsnittlige stymlinger, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er i retning_1

figure(1);
semilogx(x, y_2_b , 'r')
title('Bakgrunnssty for mlinger i retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

hold on

semilogx(x, y_3_b, 'k')

hold on

semilogx(x, y_5_b, 'b')

hold on

semilogx(x, y_7_b, 'g')


%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};
for k=1:length(loc)
legend('Avstand 2,4m' , 'Avstand 3,5m' , 'Avstand 5,5m','Avstand 7,2m' ,'Location', loc{k})
    pause
end

%%%%
%A-veiings-matrise for de ulike oktavbndene fra 63Hz til 8kHz
%%%%

A_1 = [-26.2 , -16.1 , -8.6 , -3.2 , 0 , 1.2 , 1.0 , -1.1];


%%%%
%A-veid lydtrykk for det gjennomsnittlige bakgrunnsstynivet for ulike
%posisjoner. Mlingene er i retning_1
%%%%


%Avstand r = 2,4m

 y_2_b_A = y_2_b + A_1;
 
 %Avstand r = 3,5m

y_3_b_A = y_3_b + A_1;

%Avstand r = 5,5m

y_5_b_A = y_5_b + A_1;

%Avstand r = 7,2m

y_7_b_A = y_7_b + A_1;



%Plotter gjennomsnittlige stymlinger med a-veiinger, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er i retning_1

figure(2);

semilogx(x, y_2_b_A , 'r')
axis([10,10000, 14, 32]);
title('A-veid bakgrunnssty for mlinger i retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

hold on

semilogx(x, y_3_b_A, 'k')

hold on

semilogx(x, y_5_b_A, 'b')

hold on

semilogx(x, y_7_b_A, 'g')


%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};
for k=1:length(loc)
legend('Avstand 2,4m' , 'Avstand 3,5m' , 'Avstand 5,5m','Avstand 7,2m' ,'Location', loc{k})
    pause
end

%%%%
%Det gjennomsnittlige kvadratiske lydtrykket av alle stymlingen i
%samtlige posisjoner for retning 1, dvs for 18 stymlinger
%%%%

SPL_tot_rms = SPL_2_sumb + SPL_3_sumb + SPL_5_sumb + SPL_7_sumb;

SPL_tot_averageb = SPL_tot_rms/18;

%%%%
%%Gjr om det gjennomsnittlige kvadratiske rms-trykket, for alle mlingene 
%i retning1, til lydtrykk i dB
%%%%

SPL_tot_dB = 10*log10(SPL_tot_averageb);

%%%%
%Konverterer de gjennomsnittlige stymlingene fra en kolonne-vektor til
% en rad-vektor
%%%%

y_tot_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_tot_b(1,k) = SPL_tot_dB(k,1);

end

%Plotter det gjennomsnittlige lydtrykket av alle stymlingene, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er i retning_1


figure (3);

semilogx(x, y_tot_b , 'r')
axis([10,10000, 15, 55]);
hold on
semilogx(x, y_tot_b , '.b')
grid on;
title('Gjennomsnittlig bakgrunnssty for mlingene i retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

%%%%
%Den gjennomsnittlige a-veide bakgrunnstyen for alle mlingene i retning_1
%%%%

y_tot_b_A = y_tot_b + A_1;

%Plotter det gjennomsnittlige a-veide lydtrykket av alle stymlingene 
%i retning_1, hvor x-aksen benevner frekvens, mens y-aksen benevner SPL i dB. 


figure (4);

semilogx(x, y_tot_b_A , 'b')
axis([10,10000, 16, 30]);
hold on;
semilogx(x, y_tot_b_A , '.r')

grid on;
title('Gjennomsnittlig a-veid bakgrunnssty for mlinger i retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')




%%%%
%Bakgrunnsty i motsatt retning_1
%%%%


%%%%
%Importerer fire akustiske mlinger av bakgrunnssty for hver mleposisjon i
%motsatt retning_1
%%%%


%Avstand r = 2,1m

SPL_m_2_b1_i = importdata('m_r_2_1_m_background_1.txt');
SPL_m_2_b1 = SPL_m_2_b1_i.data;

SPL_m_2_b2_i = importdata('m_r_2_1_m_background_2.txt');
SPL_m_2_b2 = SPL_m_2_b2_i.data;

SPL_m_2_b3_i = importdata('m_r_2_1_m_background_3.txt');
SPL_m_2_b3 = SPL_m_2_b3_i.data;

SPL_m_2_b4_i = importdata('m_r_2_1_m_background_4.txt');
SPL_m_2_b4 = SPL_m_2_b4_i.data;

SPL_m_2_b5_i = importdata('m_r_2_1_m_background_5.txt');
SPL_m_2_b5 = SPL_m_2_b5_i.data;


%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_m_2_b1_dB = SPL_m_2_b1(:,2);
SPL_m_2_b1_rms = 10.^( SPL_m_2_b1_dB/10);

SPL_m_2_b2_dB = SPL_m_2_b2(:,2);
SPL_m_2_b2_rms = 10.^(SPL_m_2_b2_dB/10);

SPL_m_2_b3_dB = SPL_m_2_b3(:,2);
SPL_m_2_b3_rms = 10.^(SPL_m_2_b3_dB/10);

SPL_m_2_b4_dB = SPL_m_2_b4(:,2);
SPL_m_2_b4_rms = 10.^(SPL_m_2_b4_dB/10);

SPL_m_2_b5_dB = SPL_m_2_b5(:,2);
SPL_m_2_b5_rms = 10.^(SPL_m_2_b5_dB/10);



%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_m_2_sumb = SPL_m_2_b1_rms + SPL_m_2_b2_rms + SPL_m_2_b3_rms + SPL_m_2_b4_rms + SPL_m_2_b5_rms;

SPL_m_2_averageb = SPL_m_2_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_m_2_dB = 10*log10(SPL_m_2_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_m_2_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_m_2_b(1,k) = SPL_m_2_dB(k,1);

end

%Avstand r = 4,4m

SPL_m_4_b1_i = importdata('m_r_4_4_m_background_1.txt');
SPL_m_4_b1 = SPL_m_4_b1_i.data;

SPL_m_4_b2_i = importdata('m_r_4_4_m_background_2.txt');
SPL_m_4_b2 = SPL_m_4_b2_i.data;

SPL_m_4_b3_i = importdata('m_r_4_4_m_background_3.txt');
SPL_m_4_b3 = SPL_m_4_b3_i.data;

SPL_m_4_b4_i = importdata('m_r_4_4_m_background_4.txt');
SPL_m_4_b4 = SPL_m_4_b4_i.data;

SPL_m_4_b5_i = importdata('m_r_4_4_m_background_5.txt');
SPL_m_4_b5 = SPL_m_4_b5_i.data;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_m_4_b1_dB = SPL_m_4_b1(:,2);
SPL_m_4_b1_rms = 10.^( SPL_m_4_b1_dB/10);

SPL_m_4_b2_dB = SPL_m_4_b2(:,2);
SPL_m_4_b2_rms = 10.^(SPL_m_4_b2_dB/10);

SPL_m_4_b3_dB = SPL_m_4_b3(:,2);
SPL_m_4_b3_rms = 10.^(SPL_m_4_b3_dB/10);

SPL_m_4_b4_dB = SPL_m_4_b4(:,2);
SPL_m_4_b4_rms = 10.^(SPL_m_4_b4_dB/10);

SPL_m_4_b5_dB = SPL_m_4_b5(:,2);
SPL_m_4_b5_rms = 10.^(SPL_m_4_b5_dB/10);


%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_m_4_sumb = SPL_m_4_b1_rms + SPL_m_4_b2_rms + SPL_m_4_b3_rms + SPL_m_4_b4_rms + SPL_m_4_b5_rms;

SPL_m_4_averageb = SPL_m_4_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_m_4_dB = 10*log10(SPL_m_4_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_m_4_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_m_4_b(1,k) = SPL_m_4_dB(k,1);

end

%Avstand r = 4,7m

SPL_m_4_7_b1_i = importdata('m_r_4_7_m_background_1.txt');
SPL_m_4_7_b1 = SPL_m_4_7_b1_i.data;

SPL_m_4_7_b2_i = importdata('m_r_4_7_m_background_2.txt');
SPL_m_4_7_b2 = SPL_m_4_7_b2_i.data;

SPL_m_4_7_b3_i = importdata('m_r_4_7_m_background_3.txt');
SPL_m_4_7_b3 = SPL_m_4_7_b3_i.data;

SPL_m_4_7_b4_i = importdata('m_r_4_7_m_background_4.txt');
SPL_m_4_7_b4 = SPL_m_4_7_b4_i.data;

SPL_m_4_7_b5_i = importdata('m_r_4_7_m_background_5.txt');
SPL_m_4_7_b5 = SPL_m_4_7_b5_i.data;


%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_m_4_7_b1_dB = SPL_m_4_7_b1(:,2);
SPL_m_4_7_b1_rms = 10.^( SPL_m_4_7_b1_dB/10);

SPL_m_4_7_b2_dB = SPL_m_4_7_b2(:,2);
SPL_m_4_7_b2_rms = 10.^(SPL_m_4_7_b2_dB/10);

SPL_m_4_7_b3_dB = SPL_m_4_7_b3(:,2);
SPL_m_4_7_b3_rms = 10.^(SPL_m_4_7_b3_dB/10);

SPL_m_4_7_b4_dB = SPL_m_4_7_b4(:,2);
SPL_m_4_7_b4_rms = 10.^(SPL_m_4_7_b4_dB/10);

SPL_m_4_7_b5_dB = SPL_m_4_7_b5(:,2);
SPL_m_4_7_b5_rms = 10.^(SPL_m_4_7_b5_dB/10);


%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_m_4_7_sumb = SPL_m_4_7_b1_rms + SPL_m_4_7_b2_rms + SPL_m_4_7_b3_rms + SPL_m_4_7_b4_rms + SPL_m_4_7_b5_rms;

SPL_m_4_7_averageb = SPL_m_4_7_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_m_4_7_dB = 10*log10(SPL_m_4_7_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_m_4_7_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_m_4_7_b(1,k) = SPL_m_4_7_dB(k,1);

end



%Avstand r = 7,0m

SPL_m_7_b1_i = importdata('m_r_7_0_m_background_1.txt');
SPL_m_7_b1 = SPL_m_7_b1_i.data;

SPL_m_7_b2_i = importdata('m_r_7_0_m_background_2.txt');
SPL_m_7_b2 = SPL_m_7_b2_i.data;

SPL_m_7_b3_i = importdata('m_r_7_0_m_background_3.txt');
SPL_m_7_b3 = SPL_m_7_b3_i.data;

SPL_m_7_b4_i = importdata('m_r_7_0_m_background_4.txt');
SPL_m_7_b4 = SPL_m_7_b4_i.data;

SPL_m_7_b5_i = importdata('m_r_7_0_m_background_5.txt');
SPL_m_7_b5 = SPL_m_7_b5_i.data;


%Gjr om lydtrykket i dB til kvadratet av rms-trykket for hver stymling i
%posisjonen r

SPL_m_7_b1_dB = SPL_m_7_b1(:,2);
SPL_m_7_b1_rms = 10.^( SPL_m_7_b1_dB/10);

SPL_m_7_b2_dB = SPL_m_7_b2(:,2);
SPL_m_7_b2_rms = 10.^(SPL_m_7_b2_dB/10);

SPL_m_7_b3_dB = SPL_m_7_b3(:,2);
SPL_m_7_b3_rms = 10.^(SPL_m_7_b3_dB/10);

SPL_m_7_b4_dB = SPL_m_7_b4(:,2);
SPL_m_7_b4_rms = 10.^(SPL_m_7_b4_dB/10);

SPL_m_7_b5_dB = SPL_m_7_b5(:,2);
SPL_m_7_b5_rms = 10.^(SPL_m_7_b5_dB/10);


%Tar gjennomsnittet av det kvadratiske lydtrykket av stymlingene i
%posisjonen r

SPL_m_7_sumb = SPL_m_7_b1_rms + SPL_m_7_b2_rms + SPL_m_7_b3_rms + SPL_m_7_b4_rms + SPL_m_7_b5_rms;

SPL_m_7_averageb = SPL_m_7_sumb/5;

%Gjr om det kvadratiske rms-trykket til lydtrykk i dB i posisjonen r

SPL_m_7_dB = 10*log10(SPL_m_7_averageb);

%Konverterer de gjennomsnitlige stymlingene fra en kolonne-vektor til
% en rad-vektor

y_m_7_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_m_7_b(1,k) = SPL_m_7_dB(k,1);

end




%Plotter gjennomsnittlige stymlinger, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er i motsatt retning_1

figure(5);
semilogx(x, y_m_2_b , 'r')
title('Bakgrunnsty for mlinger gjort i motsatt retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

hold on

semilogx(x, y_m_4_b, 'k')

hold on

semilogx(x, y_m_4_7_b, 'b')

hold on

semilogx(x, y_m_7_b, 'g')



%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};
for k=1:length(loc)
legend('Avstand 2,1m' , 'Avstand 4,4m' , 'Avstand 4,7m','Avstand 7,0m' ,'Location', loc{k})
    pause
end

%%%%
%A-veiings-matrise for de ulike oktavbndene fra 63Hz til 8kHz
%%%%

A_1 = [-26.2 , -16.1 , -8.6 , -3.2 , 0 , 1.2 , 1.0 , -1.1];


%%%%
%A-veid lydtrykk for det gjennomsnittlige bakgrunnsstynivet for ulike
%posisjoner. Mlingene er gjort i motsatt retning_1
%%%%


%Avstand r = 2,1m

 y_m_2_b_A = y_m_2_b + A_1;
 
 %Avstand r = 4,4m

y_m_4_b_A = y_m_4_b + A_1;

%Avstand r = 4,7m

y_m_4_7_b_A = y_m_4_7_b + A_1;

%Avstand r = 7,0m

y_m_7_b_A = y_m_7_b + A_1;



%Plotter gjennomsnittlige stymlinger med a-veiinger, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er gjort i motsatt retning_1

figure(6);

semilogx(x, y_m_2_b_A , 'r')
axis([10,10000, 14, 32]);
title('A-veid bakgrunnssty for mlinger gjort i motsatt retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

hold on

semilogx(x, y_m_4_b_A, 'k')

hold on

semilogx(x, y_m_4_7_b_A, 'b')

hold on

semilogx(x, y_m_7_b_A, 'g')


%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};
for k=1:length(loc)
legend('Avstand 2,1m' , 'Avstand 4,4m' , 'Avstand 4,7m','Avstand 7,0m' ,'Location', loc{k})
    pause
end

%%%%
%Det gjennomsnittlige kvadratiske lydtrykket av alle stymlingen i
%samtlige posisjoner i motsatt retning_1, dvs for 20 stymlinger. 
%%%%

SPL_m_tot_rms = SPL_m_2_sumb + SPL_m_4_sumb + SPL_m_4_7_sumb + SPL_m_7_sumb ;

SPL_m_tot_averageb = SPL_m_tot_rms/20;


%%%%
%%Gjr om det gjennomsnittlige kvadratiske rms-trykket, for alle mlingene gjort i 
%i motsatt retning_1, til lydtrykk i dB
%%%%

SPL_m_tot_dB = 10*log10(SPL_m_tot_averageb);

%%%%
%Konverterer de gjennomsnittlige stymlingene fra en kolonne-vektor til
% en rad-vektor
%%%%

y_m_tot_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_m_tot_b(1,k) = SPL_m_tot_dB(k,1);

end

%Plotter det gjennomsnittlige lydtrykket av alle stymlingene, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er gjort i motsatt retning_1


figure (7);

semilogx(x, y_m_tot_b , 'r')
grid on;
hold on;
semilogx(x, y_m_tot_b , '.b')
axis([10,10000, 15, 55]);
title('Gjennomsnittlig bakgrunnssty for mlingene i motsatt retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

%%%%
%Den gjennomsnittlige a-veide bakgrunnstyen for alle mlingene gjort i
%motsatt retning_1
%%%%

y_m_tot_b_A = y_m_tot_b + A_1;

%Plotter det gjennomsnittlige a-veide lydtrykket av alle stymlingene, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Mlingene er gjort i motsatt retning_1


figure (8);

semilogx(x, y_m_tot_b_A , 'b')
grid on;
hold on;
semilogx(x, y_m_tot_b_A , '.r')
axis([10,10000, 16, 30]);
title('Gjennomsnittlig a-veid bakgrunnssty for mlingene i motsatt retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

%%%%
%Det gjennomsnittlige kvadratiske lydtrykket av alle stymlingene i
%samtlige posisjoner i begge retninger, dvs for 38 stymlinger
%%%%

SPL_b_tot_rms = SPL_tot_rms + SPL_m_tot_rms;

SPL_b_tot_averageb = SPL_b_tot_rms/38;

%%%%
%%Gjr om det gjennomsnittlige kvadratiske rms-trykket, for alle mlingene gjort i 
%begge retninger, til lydtrykk i dB
%%%%

SPL_b_tot_dB = 10*log10(SPL_b_tot_averageb);

%%%%
%Konverterer de gjennomsnittlige stymlingene fra en kolonne-vektor til
% en rad-vektor
%%%%

y_b_tot_b = [0 0 0 0 0 0 0 0 ];


for k = 1:8;
 

y_b_tot_b(1,k) = SPL_b_tot_dB(k,1);

end

%Plotter det gjennomsnittlige lydtrykket av alle stymlingene, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Dette gjelder for mlingene i begge
%retninger


figure (9);

semilogx(x, y_b_tot_b , 'r')
grid on;
hold on;
semilogx(x, y_b_tot_b , '.b')
title('Gjennomsnittlig bakgrunnssty for alle mlingene i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

%%%%
%Den gjennomsnittlige a-veide bakgrunnstyen for alle mlingene gjort i
%begge retninger
%%%%

y_b_tot_b_A = y_b_tot_b + A_1;

%Plotter det gjennomsnittlige a-veide lydtrykket av alle stymlingene, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB. Dette gjelder for mlingene gjort i begge
%retninger


figure (10);

semilogx(x, y_b_tot_b_A , 'b')
grid on;
hold on;
semilogx(x, y_b_tot_b_A , '.r')
title('Gjennomsnittlig a-veid bakgrunnssty for mlingene i begge retninger i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

%%%%
%Det totale lydtrykket for bakgrunnsstyen
%%%%

%Summerer kvadratet av rms-trykket for de ulike oktavbndene

SPL_b_tot = sum(SPL_b_tot_averageb);

%Gjr om det summerte kvadratiske rms-trykket til lydtrykk i dB.

SPL = 10*log10(SPL_b_tot)


%%%%
%Det totale a-veide lydtrykket for bakgrunnsstyen
%%%%

%Gjr om lydtrykket i dB til kvadratet av rms-trykket for den
%gjennomsnittlige a-veide bakgrunnsstyen for mlingene i begge retninger


y_b_tot_b_A_rms = 10.^( y_b_tot_b_A/10);

%Summerer kvadratet av rms-trykket for de ulike oktavbndene da det er blitt
%a-veid.

SPL_b_tot_A = sum(y_b_tot_b_A_rms);

%Gjr om det summerte kvadratiske rms-trykket til lydtrykk i dB. Dette er
%a-veid.

SPL_A = 10*log10(SPL_b_tot_A)



